[Numpy-tickets] [NumPy] #537: Compatibility issues with old Numeric

NumPy numpy-tickets@scipy....
Wed Jun 13 05:11:27 CDT 2007


#537: Compatibility issues with old Numeric
------------------------------+---------------------------------------------
 Reporter:  multijon          |       Owner:  somebody
     Type:  defect            |      Status:  new     
 Priority:  low               |   Milestone:          
Component:  numpy.oldnumeric  |     Version:  1.0.1   
 Severity:  normal            |    Keywords:          
------------------------------+---------------------------------------------
 Hi,

 I've been using the Python Gnuplot interface a few months now, and have
 noticed there is a strange discrepancy between the numbers I provide it
 with and the results displayed (Needed background - Gnuplot.py hasn't been
 updated for the past couple of years, and is using old Numeric in order to
 convert input data into a standard input type).

 Today, after diving into its source code, I found out that Gnuplot is
 trying to cast a float first to float32, and if it doesn't succeed, it
 then casts the input data into float64. My guess is that old Numeric would
 have raised an Exception when trying to cast a number larger than 32bits
 into a 32-bit data-type, a feature that isn't available in the current
 version of Numeric.

 This, of course, should be fixed for compatibility's sake.


 Jon

-- 
Ticket URL: <http://projects.scipy.org/scipy/numpy/ticket/537>
NumPy <http://projects.scipy.org/scipy/numpy>
The fundamental package needed for scientific computing with Python.


More information about the Numpy-tickets mailing list